Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Core Class Reference

This class encapsulates access to the TAO AV Core's resources and its state. More...

`#include <AV_Core.h>`

Collaboration diagram for TAO_AV_Core:

[legend]
List of all members.

## Public Types
enum | EndPoint { TAO_AV_ENDPOINT_A, TAO_AV_ENDPOINT_B }
enum | Protocol { TAO_AV_NOPROTOCOL = -1, TAO_AV_TCP = 0, TAO_AV_UDP = 1, TAO_AV_AAL5 = 2, TAO_AV_AAL3_4 = 3, TAO_AV_AAL1 = 4, TAO_AV_RTP_UDP = 5, TAO_AV_RTP_AAL5 = 6, TAO_AV_IPX = 7, TAO_AV_SFP_UDP = 8, TAO_AV_UDP_MCAST = 9, TAO_AV_RTP_UDP_MCAST = 10, TAO_AV_SFP_UDP_MCAST = 11, TAO_AV_QOS_UDP = 12 }
## Public Methods
| TAO_AV_Core (void)
| Default constructor.
| ~TAO_AV_Core (void)
| Destructor.
int | init (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, CORBA::Environment &env)
int | run (void)
int | stop_run (void)
int | init_forward_flows (TAO_Base_StreamEndPoint *endpoint, TAO_AV_FlowSpecSet &flow_spec_set, EndPoint direction, AVStreams::flowSpec &flow_spec)
int | init_reverse_flows (TAO_Base_StreamEndPoint *endpoint, TAO_AV_FlowSpecSet &forward_flow_spec_set, TAO_AV_FlowSpecSet &reverse_flow_spec_set, EndPoint direction)
int | init_transport_factories (void)
int | init_flow_protocol_factories (void)
TAO_AV_Acceptor* | get_acceptor (const char *flowname)
| = Get the acceptor registry.
TAO_AV_Connector* | get_connector (const char *flowname)
TAO_AV_Connector_Registry* | connector_registry (void)
TAO_FlowSpec_Entry* | get_flow_spec_entry (TAO_AV_FlowSpecSet &flow_spec_set, const char *flowname)
TAO_AV_Acceptor_Registry* | acceptor_registry (void)
TAO_AV_Flow_ProtocolFactorySet* | flow_protocol_factories (void)
| = Set/get the .
TAO_AV_TransportFactorySet* | transport_factories (void)
void | reactor (ACE_Reactor *r)
ACE_Reactor* | reactor (void)
CORBA::ORB_ptr | orb (void)
void | orb (CORBA::ORB_ptr orb_)
PortableServer::POA_ptr | poa (void)
void | poa (PortableServer::POA_ptr poa_)
## Static Public Methods
int | deactivate_servant (PortableServer::Servant servant)
char* | get_flowname (const char *flow_spec_entry_str)
## Protected Attributes
TAO_AV_Connector_Registry* | connector_registry_
| The connector registry which all active connecters must register themselves with.
TAO_AV_Acceptor_Registry* | acceptor_registry_
| The registry which maintains a list of acceptor factories for each loaded protocol.
TAO_AV_TransportFactorySet | transport_factories_
| Pointer to the list of transports loaded into this AV_Core instance.
TAO_AV_Flow_ProtocolFactorySet | flow_protocol_factories_
| Pointer to the list of flow protocol loaded into this AV_Core instance.
ACE_Reactor* | reactor_
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_
CORBA::Boolean | stop_run_

## Detailed Description

This class encapsulates access to the TAO AV Core's resources and its state.

## Member Enumeration Documentation

enum TAO_AV_Core::EndPoint

  | Enumeration values:
  TAO_AV_ENDPOINT_A |
  TAO_AV_ENDPOINT_B |

enum TAO_AV_Core::Protocol

  | Enumeration values:
  TAO_AV_NOPROTOCOL |
  TAO_AV_TCP |
  TAO_AV_UDP |
  TAO_AV_AAL5 |
  TAO_AV_AAL3_4 |
  TAO_AV_AAL1 |
  TAO_AV_RTP_UDP |
  TAO_AV_RTP_AAL5 |
  TAO_AV_IPX |
  TAO_AV_SFP_UDP |
  TAO_AV_UDP_MCAST |
  TAO_AV_RTP_UDP_MCAST |
  TAO_AV_SFP_UDP_MCAST |
  TAO_AV_QOS_UDP |

## Constructor & Destructor Documentation

TAO_AV_Core::TAO_AV_Core ( | void )

| Default constructor.

TAO_AV_Core::~TAO_AV_Core ( | void )

| Destructor.

## Member Function Documentation

TAO_AV_Acceptor_Registry * TAO_AV_Core::acceptor_registry ( | void )

TAO_AV_Connector_Registry * TAO_AV_Core::connector_registry ( | void )

int TAO_AV_Core::deactivate_servant ( | PortableServer::Servant servant )`[static]`

TAO_AV_Flow_ProtocolFactorySet * TAO_AV_Core::flow_protocol_factories ( | void )

| = Set/get the .

TAO_AV_Acceptor * TAO_AV_Core::get_acceptor ( | const char * flowname )

| = Get the acceptor registry.

TAO_AV_Connector * TAO_AV_Core::get_connector ( | const char * flowname )

TAO_FlowSpec_Entry * TAO_AV_Core::get_flow_spec_entry ( | TAO_AV_FlowSpecSet & flow_spec_set,
| const char * flowname )

char * TAO_AV_Core::get_flowname ( | const char * flow_spec_entry_str )`[static]`

int TAO_AV_Core::init ( | CORBA::ORB_ptr orb,
| PortableServer::POA_ptr poa,
| CORBA::Environment & env )

int TAO_AV_Core::init_flow_protocol_factories ( | void )

int TAO_AV_Core::init_forward_flows ( | TAO_Base_StreamEndPoint * endpoint,
| TAO_AV_FlowSpecSet & flow_spec_set,
| TAO_AV_Core::EndPoint direction,
| AVStreams::flowSpec & flow_spec )

int TAO_AV_Core::init_reverse_flows ( | TAO_Base_StreamEndPoint * endpoint,
| TAO_AV_FlowSpecSet & forward_flow_spec_set,
| TAO_AV_FlowSpecSet & reverse_flow_spec_set,
| TAO_AV_Core::EndPoint direction )

int TAO_AV_Core::init_transport_factories ( | void )

void TAO_AV_Core::orb ( | CORBA::ORB_ptr orb )

CORBA::ORB_ptr TAO_AV_Core::orb ( | void )

void TAO_AV_Core::poa ( | PortableServer::POA_ptr poa )

PortableServer::POA_ptr TAO_AV_Core::poa ( | void )

ACE_Reactor * TAO_AV_Core::reactor ( | void )

void TAO_AV_Core::reactor ( | ACE_Reactor * r )

int TAO_AV_Core::run ( | void )

int TAO_AV_Core::stop_run ( | void )

TAO_AV_TransportFactorySet * TAO_AV_Core::transport_factories ( | void )

## Member Data Documentation

TAO_AV_Acceptor_Registry * TAO_AV_Core::acceptor_registry_`[protected]`

| The registry which maintains a list of acceptor factories for each loaded protocol.

TAO_AV_Connector_Registry * TAO_AV_Core::connector_registry_`[protected]`

| The connector registry which all active connecters must register themselves with.

TAO_AV_Flow_ProtocolFactorySet TAO_AV_Core::flow_protocol_factories_`[protected]`

| Pointer to the list of flow protocol loaded into this AV_Core instance.

CORBA::ORB_var TAO_AV_Core::orb_`[protected]`

PortableServer::POA_var TAO_AV_Core::poa_`[protected]`

ACE_Reactor * TAO_AV_Core::reactor_`[protected]`

CORBA::Boolean TAO_AV_Core::stop_run_`[protected]`

TAO_AV_TransportFactorySet TAO_AV_Core::transport_factories_`[protected]`

| Pointer to the list of transports loaded into this AV_Core instance.

The documentation for this class was generated from the following files:

- AV_Core.h
- AV_Core.cpp